---
title: AnimationTimeline.currentTime
slug: Web/API/AnimationTimeline/currentTime
tags:
  - API
  - Animation
  - AnimationTimeline
  - Property
  - Read-only
  - Reference
  - Web Animations
  - currentTime
  - waapi
  - web animations api
---
<div>{{ SeeCompatTable() }}{{ APIRef("Web Animations") }}</div>

<p>The <strong><code>currentTime</code></strong> read-only property of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a>'s {{domxref("AnimationTimeline")}} interface returns the timeline's current time in milliseconds, or <code>null</code> if the timeline is inactive.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>currentTime</em> = <em>AnimationTimeline</em>.currentTime;</pre>

<h3 id="Value">Value</h3>

<p>A number representing the timeline's current time in milliseconds, or <code>null</code> if the timeline is inactive.</p>

<h2 id="Reduced_time_precision">Reduced time precision</h2>

<p>To offer protection against timing attacks and fingerprinting, the precision of <code>animationTimeline.currentTime</code> might get rounded depending on browser settings.<br>
 In Firefox, the <code>privacy.reduceTimerPrecision</code> preference is enabled by default and defaults to 20us in Firefox 59; in 60 it will be 2ms.</p>

<pre class="brush: js notranslate">// reduced time precision (2ms) in Firefox 60
animationTimeline.currentTime;
// 23.404
// 24.192
// 25.514
// ...

// reduced time precision with `privacy.resistFingerprinting` enabled
animationTimeline.currentTime;
// 49.8
// 50.6
// 51.7
// ...
</pre>

<p>In Firefox, you can also enable <code>privacy.resistFingerprinting</code>; the precision will be 100ms or the value of <code>privacy.resistFingerprinting.reduceTimerPrecision.microseconds</code>, whichever is larger.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animationtimeline-currenttime', 'currentTime' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AnimationTimeline.currentTime")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("AnimationTimeline")}}</li>
 <li>{{domxref("DocumentTimeline")}} inherits this property</li>
 <li>{{domxref("Document.timeline")}} returns a timeline object which inherits this property</li>
</ul>
